# CUTLASS: cutlass::gemm::threadblock::GemmBatchedIdentityThreadblockSwizzle Struct Reference

cutlass::gemm::threadblock::GemmBatchedIdentityThreadblockSwizzle Struct Reference

Threadblock swizzling function for batched GEMMs.

`#include <threadblock_swizzle.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE GemmCoord | get_tiled_shape (GemmCoord problem_size, int batch_count, GemmCoord tile_size) const
| Returns the shape of the problem in units of logical tiles. More...
CUTLASS_HOST_DEVICE dim3 | get_grid_shape (GemmCoord tiled_shape) const
| Computes CUDA grid dimensions given a size in units of logical tiles. More...
CUTLASS_DEVICE GemmCoord | get_tile_offset () const
| Obtains the threadblock offset (in units of threadblock-scoped tiles) More...
CUTLASS_DEVICE int | get_batch_idx () const
| Gets the batch index. More...

## Member Function Documentation

CUTLASS_DEVICE int cutlass::gemm::threadblock::GemmBatchedIdentityThreadblockSwizzle::get_batch_idx | ( |  | ) | const

inline

CUTLASS_HOST_DEVICE dim3 cutlass::gemm::threadblock::GemmBatchedIdentityThreadblockSwizzle::get_grid_shape | ( | GemmCoord | tiled_shape | ) | const

inline

CUTLASS_DEVICE GemmCoord cutlass::gemm::threadblock::GemmBatchedIdentityThreadblockSwizzle::get_tile_offset | ( |  | ) | const

inline

CUTLASS_HOST_DEVICE GemmCoord cutlass::gemm::threadblock::GemmBatchedIdentityThreadblockSwizzle::get_tiled_shape | ( | GemmCoord | problem_size,
|  | int | batch_count,
|  | GemmCoord | tile_size
| ) |  | const

inline

The documentation for this struct was generated from the following file:

- gemm/threadblock/threadblock_swizzle.h